package com.huijy.management.service;

import java.util.List;
import com.huijy.management.domain.MarkerContent;

/**
 * 标记物内容中间Service接口
 *
 * @author luobo
 * @date 2021-10-10
 */
public interface IMarkerContentService
{
    /**
     * 查询标记物内容中间
     *
     * @param markerContent 标记物内容中间主键
     * @return 标记物内容中间
     */
    public MarkerContent selectMarkerContentByMarkerContent(Long markerContent);

    /**
     * 查询标记物内容中间列表
     *
     * @param markerContent 标记物内容中间
     * @return 标记物内容中间集合
     */
    public List<MarkerContent> selectMarkerContentList(MarkerContent markerContent);

    /**
     * 新增标记物内容中间
     *
     * @param markerContent 标记物内容中间
     * @return 结果
     */
    public int insertMarkerContent(MarkerContent markerContent);

    /**
     * 修改标记物内容中间
     *
     * @param markerContent 标记物内容中间
     * @return 结果
     */
    public int updateMarkerContent(MarkerContent markerContent);

    /**
     * 批量删除标记物内容中间
     *
     * @param markerContents 需要删除的标记物内容中间主键集合
     * @return 结果
     */
    public int deleteMarkerContentByMarkerContents(Long[] markerContents);

    /**
     * 删除标记物内容中间信息
     *
     * @param markerContent 标记物内容中间主键
     * @return 结果
     */
    public int deleteMarkerContentByMarkerContent(Long markerContent);

    List<Long> getContentIdListByMarkerId(Long markerId);

    Integer deleteMarkerContentByMarkerId(Long markerId);
}
